Package com.independentsoft.office.spreadsheet

# Enum Class PhoneticType

java.lang.Object
java.lang.Enum<PhoneticType>
com.independentsoft.office.spreadsheet.PhoneticType

All Implemented Interfaces:
  `Serializable`, `Comparable<PhoneticType>`, `Constable`

public enum PhoneticType extends Enum<PhoneticType>
The Enum PhoneticType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FULL_WIDTH_KATAKANA`
  `HALF_WIDTH_KATAKANA`
  `HIRAGANA`
  `NO_CONVERSION`
  `NONE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PhoneticType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static PhoneticType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FULL_WIDTH_KATAKANA

    public static final PhoneticType FULL_WIDTH_KATAKANA

  - ### HALF_WIDTH_KATAKANA

    public static final PhoneticType HALF_WIDTH_KATAKANA

  - ### HIRAGANA

    public static final PhoneticType HIRAGANA

  - ### NO_CONVERSION

    public static final PhoneticType NO_CONVERSION

  - ### NONE

    public static final PhoneticType NONE

- ## Method Details

  - ### values

    public static PhoneticType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PhoneticType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null